ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Plugin.HLS

Synopsis

- asGhcIdePlugin :: Recorder (WithPriority Log) -> IdePlugins IdeState -> Plugin Config
- toResponseError :: (PluginId, PluginError) -> ResponseError
- data Log
  - = LogPluginError PluginId PluginError
  - | LogResponseError PluginId ResponseError
  - | LogNoPluginForMethod (Some SMethod)
  - | LogInvalidCommandIdentifier
  - | ExceptionInPlugin PluginId (Some SMethod) SomeException

# Documentation

asGhcIdePlugin :: Recorder (WithPriority Log) -> IdePlugins IdeState -> Plugin Config #

Map a set of plugins to the underlying ghcide engine.

toResponseError :: (PluginId, PluginError) -> ResponseError #

data Log #

Constructors

LogPluginError PluginId PluginError |
LogResponseError PluginId ResponseError |
LogNoPluginForMethod (Some SMethod) |
LogInvalidCommandIdentifier |
ExceptionInPlugin PluginId (Some SMethod) SomeException |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Plugin.HLS Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Plugin.HLS Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #